## magics++ 2.22.7.dfsg.1

=== CMakeLists.txt ===
############################################################################################
# cmake options:
#
#       -DCMAKE_BUILD_TYPE=Debug|RelWithDebInfo|Release|Production
#
#       -DCMAKE_MODULE_PATH=/path/to/ecbuild/cmake
#
#       -DCMAKE_C_COMPILER=gcc
#       -DCMAKE_C_COMPILER=g++
#
#       -DCMAKE_PREFIX_PATH=/path/to/jasper:/path/to/any/package/out/of/place
#       -DBUILD_SHARED_LIBS=OFF

# TODO:
#  * fix python module generation Magics.py to __init__.py
#  * cpack ecbuild/cmake macros into tar.gz
#  * unit tests check that certain files are produced and not empty
#  * pkg-config needed for metview

# Missing dependencies:
#   * ghostscript ( is it really needed? -- to confirm )

cmake_minimum_required( VERSION 2.8.4 FATAL_ERROR )

project( magics CXX )

# make sure that the header files are installed into include/magics
# note that this needs to be done before ecbuild_declare_project()
# to ensure that the ecbuild header files are also put there
# note also that we need to CACHE this so that ecbuild_declare_project() does not overwrite it
set(MAGICS_INSTALL_INCLUDE_DIR include/magics CACHE PATH "Magics installation directory for header files")

set( CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/../ecbuild/cmake")

include( ecbuild_system )

ecbuild_requires_macro_version( 1.2 )

###############################################################################
# some variables of this project

option( ENABLE_GRIB           "enable grib support"               ON  )
option( ENABLE_NETCDF         "enable netcdf support"             ON  )

option( ENABLE_ODB            "enable odb"                        OFF )
option( ENABLE_BUFR           "enable bufr support"               OFF )
option( ENABLE_SPOT           "enable spot support"               OFF )
option( ENABLE_CAIRO          "enable cairo support[png/jpeg]"   OFF )

option( ENABLE_PYTHON         "enable python interface"   ON  )
option( ENABLE_FORTRAN        "enable fortran interface"  ON  )

option( ENABLE_METVIEW        "enable Metview interface"  OFF  )
option( ENABLE_METVIEW_NO_QT  "enable Metview interface without Qt"    OFF )

option( ENABLE_STATIC_LIBRARY  "Internal Build static Library"    OFF  )
option( ENABLE_REGRESSION     "Internal use only: enable regression test"  OFF  )
option( ENABLE_REGRESSION_UPLOAD     "Internal use only : enable upload of reference image"  OFF  )

set( MAGICS_NAME          "Magics" )
set( MAGICS_EXCEPTION     "ON" )
set( MAGICS_SITE          "ecmwf" )
set( MAGICS_INSTALL_PATH  ${CMAKE_INSTALL_PREFIX} )

# Regression definitions
set( MAGICS_REFERENCE_VERSIONS            "2.22.6" )
#list( APPEND MAGICS_REFERENCE_VERSIONS    "2.18.14" )
set( MAGICS_HTML_ROOT        "${CMAKE_BINARY_DIR}/regression/html")
file(MAKE_DIRECTORY ${MAGICS_HTML_ROOT} )

set( MAG_PYTHON_PATH ${CMAKE_BINARY_DIR}/python )

###############################################################################
# projects

# ecbuild_use_package( PROJECT eckit VERSION 0.3 REQUIRED )

### fortran

if( ENABLE_FORTRAN )
	ecbuild_enable_fortran( REQUIRED )
endif()

### python

if( ENABLE_PYTHON )
	ecbuild_find_python( REQUIRED )
	find_package( SWIG REQUIRED )
	find_package( NumPy REQUIRED )
endif()
if( SWIG_FOUND )
   include(UseSWIG)
endif()

### grib

set( grib no )
if( ENABLE_GRIB )
  ecbuild_use_package( PROJECT grib_api VERSION 1.9 REQUIRED)
endif()
if( GRIB_API_FOUND )
   set( MAGICS_GRIB 1 )
   set( grib yes )
endif()

### netcdf

set( netcdf no )
set( PREFER_NETCDF4 1)
set( NETCDF_CXX 1 )
if ( ENABLE_NETCDF )
  find_package( NetCDF REQUIRED)
endif()
if ( NETCDF_FOUND )
    list( APPEND MAGICS_TPLS  NetCDF )
    set(MAGICS_NETCDF 1)
	set( netcdf no)
endif()

### odb

set( odb no )
if( ENABLE_ODB )
  ecbuild_use_package( PROJECT odb_api  VERSION 0.9.31 REQUIRED)
endif()
if( ODB_API_FOUND )
      set( MAGICS_ODB 1 )
	  set( odb yes)
endif()

### spot

set( spot no )
if( ENABLE_SPOT )
    ecbuild_use_package( PROJECT spot  REQUIRED)
    if( SPOT_FOUND )
        set (MAGICS_SPOT 1)
        set ( spot yes)
    endif()
else() 
endif()

### bufr

debug_var (ENABLE_BUFR )
set( bufr no )
if( ENABLE_BUFR )
  find_package( EMOS REQUIRED )
endif()
if( EMOS_FOUND )
   set( MAGICS_BUFR 1 )
   set( bufr yes)
endif()

debug_var ( EMOS_FOUND )

### cairo

set( cairo no )
if( ENABLE_CAIRO )
	find_package( PangoCairo REQUIRED )
endif()
    
if( PANGOCAIRO_FOUND )
   	set( MAGICS_CAIRO 1 )
	set( cairo yes )
endif()


### Metview and Qt

if(ENABLE_METVIEW AND ENABLE_METVIEW_NO_QT)
    message(FATAL_ERROR "Do not set both ENABLE_METVIEW and ENABLE_METVIEW_NO_QT - only set one. You may have to remove your CMakeCache.txt to clear these settings.")
endif()

set( qt no )
set( qtlib no )
set( metview no )

if( ENABLE_METVIEW_NO_QT )
	set( metview yes )
	unset(MAGICS_ONLY)
endif()

if( ENABLE_METVIEW )
    set ( metview yes)
    unset(MAGICS_ONLY)
    find_package(Qt4 4.4.3 REQUIRED QtCore QtGui QtXml )
    if( QT_FOUND )
		  include( ${QT_USE_FILE} )
		  set( MAGICS_QT 1)
		  set( qt yes)
    endif()
endif()

ecbuild_declare_project()

###############################################################################
# find extra packages

set( CMAKE_THREAD_PREFER_PTHREAD 1 )
find_package( Threads ) 

# set(Boost_USE_STATIC_LIBS        ON)
# set(Boost_NO_SYSTEM_PATHS        ON)
# set(Boost_USE_MULTITHREADED      ON)
ecbuild_add_extra_search_paths( boost )

find_package( Boost 1.49.0 )
find_package( Proj4  )
find_package( EXPAT  )


install( FILES ${CMAKE_CURRENT_BINARY_DIR}/magics-config
			DESTINATION ${INSTALL_BIN_DIR} 
			PERMISSIONS OWNER_READ GROUP_READ WORLD_READ 
				        OWNER_EXECUTE GROUP_EXECUTE WORLD_EXECUTE)


###############################################################################
# contents

set( MAGICS_TPLS grib_api spot odb_api EXPAT NetCDF PangoCairo Proj4 EMOS)
set( MAGICS_INCLUDE_DIRS 
	    ${CMAKE_CURRENT_SOURCE_DIR}/src 
        ${CMAKE_BINARY_SOURCE_DIR}/src 
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common 
        ${CMAKE_CURRENT_BINARY_DIR}/src/params 
        ${CMAKE_CURRENT_BINARY_DIR}/src 
        ${CMAKE_CURRENT_SOURCE_DIR}/src/common  
        ${CMAKE_CURRENT_SOURCE_DIR}/src/basic
        ${CMAKE_CURRENT_SOURCE_DIR}/src/web
        ${CMAKE_CURRENT_SOURCE_DIR}/src/visualisers
        ${CMAKE_CURRENT_SOURCE_DIR}/src/drivers
        ${CMAKE_CURRENT_SOURCE_DIR}/src/drivers/MgQ
        ${CMAKE_CURRENT_SOURCE_DIR}/src/eckit_readers
        ${CMAKE_CURRENT_SOURCE_DIR}/src/decoders
        ${CMAKE_CURRENT_SOURCE_DIR}/src/terralib
        ${CMAKE_CURRENT_SOURCE_DIR}/src/terralib/kernel
        ${CMAKE_CURRENT_SOURCE_DIR}/src/terralib/utils
	    ${Boost_INCLUDE_DIRS} )
	    
if( MAGICS_ODB )
    list( APPEND MAGICS_INCLUDE_DIRS
			${CMAKE_CURRENT_SOURCE_DIR}/src/oda 
			${ODB_API_INCLUDE_DIRS}/../eclib 
		)
endif()

set( MAGICS_LIBRARIES    MagPlus )

foreach( _tpl ${MAGICS_TPLS} )
    string( TOUPPER ${_tpl} TPL )
    list( APPEND MAGICS_EXTRA_DEFINITIONS   ${${TPL}_DEFINITIONS}  )
    list( APPEND MAGICS_EXTRA_INCLUDE_DIRS  ${${TPL}_INCLUDE_DIRS} )
    list( APPEND MAGICS_EXTRA_LIBRARIES     ${${TPL}_LIBRARIES} )
endforeach()

# message(STATUS "MAGICS_EXTRA_DEFINITIONS  => ${MAGICS_EXTRA_DEFINITIONS}")
# message(STATUS "MAGICS_EXTRA_INCLUDE_DIRS => ${MAGICS_EXTRA_INCLUDE_DIRS}")
# message(STATUS "MAGICS_EXTRA_LIBRARIES    => ${MAGICS_EXTRA_LIBRARIES}")

if( MAGICS_BUFR )
	list( APPEND MAGICS_EXTRA_DEFINITIONS   fortfloat=double fortint=int )
endif()
if( WITH_QT_DEBUG )
	list( APPEND MAGICS_EXTRA_DEFINITIONS QT_NO_DEBUG_OUTPUT )
endif()

if( MAGICS_QT )
	list( APPEND MAGICS_EXTRA_INCLUDE_DIRS  ${QT_INCLUDE_DIR} )
	list( APPEND MAGICS_EXTRA_LIBRARIES     ${QT_LIBRARIES} )
endif()

list( APPEND MAGICS_EXTRA_LIBRARIES     ${CMAKE_THREAD_LIBS_INIT} )

# set_directory_properties( PROPERTIES COMPILE_DEFINITIONS ${ECKIT_DEFINITIONS} )
get_directory_property( MAGICS_DEFINITIONS COMPILE_DEFINITIONS )

include_directories( ${MAGICS_INCLUDE_DIRS} ${MAGICS_EXTRA_INCLUDE_DIRS} )

set(  __magics_inc_tmp ${MAGICS_EXTRA_INCLUDE_DIRS} )
set(MAGICS_EXTRA_INCLUDES "")

foreach( inc ${__magics_inc_tmp} ) 
  set(MAGICS_EXTRA_INCLUDES "${MAGICS_EXTRA_INCLUDES} -I${inc}" )
endforeach()

# scripts
add_subdirectory( tools )

# source files
add_subdirectory( src )

# shared files
add_subdirectory( share )

# python interface 
add_subdirectory( python )

# apps directory
add_subdirectory( apps )

# Test directory
add_subdirectory( test )
if( ENABLE_REGRESSION )
    add_subdirectory( regression )
endif()

# Directories not need in the distribution tar ball!
ecbuild_add_resources( TARGET old_src DONT_PACK_DIRS src/MvObs src/libTable src/xml src/terralib/functions)
ecbuild_add_resources( TARGET bamboo DONT_PACK_DIRS bamboo)
ecbuild_add_resources( TARGET old_ressources 
		DONT_PACK_DIRS tools/versioncmp 
					tools/regression 
                    regression
                    docs
                    toolsjs
                    test/old
					tools/xml 
					tools/use_scripts
					tools/versioncmp_folders)

ecbuild_add_resources( TARGET internal 
		DONT_PACK configure.lxab
                    configure.local
                    configure.ecgb
                    configure.ecmwf
					)


set(  __magics_tmp ${MAGICS_EXTRA_LIBRARIES} )

list(REMOVE_ITEM __magics_tmp debug )
list(REMOVE_ITEM __magics_tmp optimized )

set(MAGICS_EXTRA_LIBS "")

foreach( lib ${__magics_tmp} )
  if( lib MATCHES "^/.*" )
# Need to split -L/path and -l libd
	
	 get_filename_component(ext ${lib} EXT)
	  if ( ${ext} MATCHES ${CMAKE_SHARED_LIBRARY_SUFFIX} )
		
		get_filename_component(path ${lib} PATH)
		
		list( APPEND RPATH "-Wl,-rpath,${path}")
	  endif()
	 #set(MAGICS_EXTRA_LIBS "${MAGICS_EXTRA_LIBS} ${lib}" )
  else()
    if( NOT lib MATCHES "^-l.*" )
		set( lib "-l${lib}" )
	endif()
  endif()
  
  set(MAGICS_EXTRA_LIBS "${MAGICS_EXTRA_LIBS} ${lib}" )
endforeach()

set(MAGICS_EXTRA_LIBS "${MAGICS_EXTRA_LIBS} -Wl,-rpath,${CMAKE_INSTALL_PREFIX}/lib" )


list(REMOVE_DUPLICATES RPATH)
		
foreach( lib ${RPATH} )
	set(MAGICS_EXTRA_LIBS "${MAGICS_EXTRA_LIBS} ${lib}" )
endforeach()
	

configure_file( magics-config.in  magics-config @ONLY )					
# ecbuild/cmake is needed in the the distribution tar ball!
					
############################################################################################
# finalize

ecbuild_install_project( NAME Magics )

ecbuild_print_summary()

=== src/CMakeLists.txt ===
###############################################################################

configure_file( magics_config.h.in  magics_config.h  )
configure_file( magics.pc.in  magics.pc @ONLY  )

install ( FILES ${CMAKE_CURRENT_BINARY_DIR}/magics_config.h  DESTINATION ${INSTALL_INCLUDE_DIR})
install ( FILES ${CMAKE_CURRENT_BINARY_DIR}/magics.pc      DESTINATION ${INSTALL_LIB_DIR}/pkgconfig)

###############################################################################

add_subdirectory( params )

foreach( file ${magics_xmls} )

      get_filename_component( path     ${file} PATH   )
      get_filename_component( basefile ${file} NAME_WE )

      set( ouputfiles ${path}/${basefile}Attributes.h ${path}/${basefile}Attributes.cc )
      
      # generate the code
      add_custom_command( 
            OUTPUT  ${ouputfiles}
            COMMAND ${PERL_EXECUTABLE} ${CMAKE_SOURCE_DIR}/tools/xml2cc_new.pl ${CMAKE_CURRENT_SOURCE_DIR}/${file} ${CMAKE_CURRENT_BINARY_DIR}/params nosubdir
            DEPENDS ${file}
      )

      set_source_files_properties( ${basefile}Attributes.h  GENERATED )
      set_source_files_properties( ${basefile}Attributes.cc GENERATED )

      list( APPEND magics_params_srcs ${ouputfiles} )

endforeach()
     
if ( metview )      
	foreach( file ${metview_xmls} )
	      get_filename_component( path     ${file} PATH   )
          get_filename_component( basefile ${file} NAME_WE )
		  
		  set( metviewfiles ${path}/${basefile}Wrapper.h ${path}/${basefile}Wrapper.cc )
		  
		  
		# generate the code
		  add_custom_command( 
				OUTPUT  ${metviewfiles}
				COMMAND ${PERL_EXECUTABLE} ${CMAKE_SOURCE_DIR}/tools/xml2mv.pl ${CMAKE_CURRENT_SOURCE_DIR}/${file} ${CMAKE_CURRENT_BINARY_DIR}/params nosubdir
				DEPENDS ${file}
			)

		  set_source_files_properties( ${basefile}Wrapper.h  GENERATED )
          set_source_files_properties( ${basefile}Wrapper.cc GENERATED )
          list( APPEND metview_wrappers_srcs ${metviewfiles} )
      endforeach()

     if(qt)
        SET(qt_drivers_HEADERS drivers/MgQ/MgQPlotScene.h)
        QT4_WRAP_CPP(qt_drivers_HEADERS_MOC ${qt_drivers_HEADERS})
        list( APPEND drivers_srcs  drivers/MgQ/MgQPlotScene.cc  ${qt_drivers_HEADERS_MOC})
     endif()

endif()
	 






add_custom_target( magics_params DEPENDS ${magics_params_srcs} )
add_custom_target( mv_params DEPENDS ${metview_wrappers_srcs} )
###############################################################################

add_subdirectory( common )
add_subdirectory( basic )
add_subdirectory( web )
add_subdirectory( visualisers )
add_subdirectory( drivers )
add_subdirectory( decoders )
add_subdirectory( terralib )
add_subdirectory( eckit_readers )

if( metview )
	add_subdirectory( libMagWrapper )
endif()

if( MAGICS_ODB )
	add_subdirectory( oda )
endif()

ecbuild_add_library( TARGET    MagPlusSingle 
		     SOURCES MagicsSingle.cc
		     INCLUDES  ${CMAKE_CURRENT_SOURCE_DIR}/common
		     TYPE STATIC)
		     
ecbuild_add_library( TARGET    MagPlusDouble 
		     SOURCES MagicsDouble.cc
		     INCLUDES  ${CMAKE_CURRENT_SOURCE_DIR}/common
		     TYPE STATIC)		     

ecbuild_add_library( TARGET    MagPlusShared
                     DEPENDS   magics_params
                     SOURCES
                        magics.h
                        ${magics_params_srcs} 
                        ${common_srcs} 
                        ${basic_srcs}
                        ${web_srcs}
                        ${visualisers_srcs}
                        ${eckit_srcs}
                        ${drivers_srcs}
                        ${qt_srcs}
                        ${decoders_srcs}
                        ${terralib_srcs} 
                        ${odb_srcs}
                     TEMPLATES
                        ${common_templates}
                     DEFINITIONS
                        ${MAGICS_EXTRA_DEFINITIONS} MAGICS_EXCEPTION=on
                    LIBS
                        ${MAGICS_EXTRA_LIBRARIES}
		            TYPE SHARED		     
                    )
SET_TARGET_PROPERTIES(MagPlusShared PROPERTIES OUTPUT_NAME "MagPlus")
if ( ENABLE_STATIC_LIBRARY ) 	     
ecbuild_add_library( TARGET    MagPlusStatic
                     DEPENDS   magics_params
                     SOURCES
                        magics.h
                        ${magics_params_srcs} 
                        ${common_srcs} 
                        ${basic_srcs}
                        ${web_srcs}
                        ${visualisers_srcs}
                        ${eckit_srcs}
                        ${drivers_srcs}
                        ${qt_srcs}
                        ${decoders_srcs}
                        ${terralib_srcs} 
                        ${odb_srcs}
                     TEMPLATES
                        ${common_templates}
                     DEFINITIONS
                        ${MAGICS_EXTRA_DEFINITIONS}  
                    LIBS
                        ${MAGICS_EXTRA_LIBRARIES} 
		            TYPE STATIC		     
                    )

    SET_TARGET_PROPERTIES(MagPlusStatic PROPERTIES OUTPUT_NAME "MagPlus")

endif()

if( metview )
  ecbuild_add_library( TARGET    MagWrapper
                     DEPENDS   mv_params
                     SOURCES
                        magics.h
                        ${metview_srcs} 
                        ${metview_wrappers_srcs} 
                     DEFINITIONS
                        ${MAGICS_EXTRA_DEFINITIONS}
                     INCLUDES  
                        ${CMAKE_CURRENT_SOURCE_DIR} 
                        ${CMAKE_CURRENT_BINARY_DIR} 
                        ${CMAKE_CURRENT_BINARY_DIR}/params 
                        ${CMAKE_CURRENT_SOURCE_DIR}/common  
                        ${CMAKE_CURRENT_SOURCE_DIR}/basic
                        ${CMAKE_CURRENT_SOURCE_DIR}/web
                        ${CMAKE_CURRENT_SOURCE_DIR}/visualisers
                        ${CMAKE_CURRENT_SOURCE_DIR}/drivers
                        ${CMAKE_CURRENT_SOURCE_DIR}/decoders
                        ${CMAKE_CURRENT_SOURCE_DIR}/terralib
                        ${CMAKE_CURRENT_SOURCE_DIR}/terralib/kernel
                        ${CMAKE_CURRENT_SOURCE_DIR}/terralib/utils 
                        ${CMAKE_CURRENT_SOURCE_DIR}/libMagWrapper
                    LIBS
                        ${MAGICS_EXTRA_LIBRARIES}
                    TYPE STATIC		
                    )
   list( APPEND attributes_include
				OutputHandlerAttributes.h 
				FortranRootSceneNodeAttributes.h  
                BinningObjectAttributes.h
                GribDecoderAttributes.h
                DateGribLoopStepAttributes.h
                GribLoopAttributes.h
                GeoRectangularProjectionAttributes.h
                LegendVisitorAttributes.h
				XmlRootNodeAttributes.h 
				WrepRootNodeAttributes.h
				QtDriverAttributes.h
                ContinuousLegendMethodAttributes.h
                HistogramLegendMethodAttributes.h
                XmlBasicNodeAttributes.h
                ImagePlottingAttributes.h
                LookupTableModeAttributes.h
                FixedTableModeAttributes.h

				)
   install( FILES magics.h  DESTINATION ${INSTALL_INCLUDE_DIR})
   install( FILES terralib/kernel/TeProjection.h
				   terralib/kernel/TeCoord2D.h 
				   terralib/kernel/TeDefines.h 
				   terralib/kernel/TePrecision.h 
				   terralib/kernel/TeSingleton.h 
				   terralib/kernel/TeDatum.h 
				   terralib/kernel/TeUtils.h
				   terralib/kernel/TeProgress.h
				   terralib/kernel/TeProgressBase.h
				   
				   
				   DESTINATION ${INSTALL_INCLUDE_DIR})
   install( FILES VectorOfPointers.h  DESTINATION ${INSTALL_INCLUDE_DIR})
   foreach( file ${attributes_include} )
     install( FILES ${CMAKE_CURRENT_BINARY_DIR}/params/${file}  DESTINATION ${INSTALL_INCLUDE_DIR})
   endforeach()
   install( FILES ${metview_include} DESTINATION ${INSTALL_INCLUDE_DIR})
endif()

=== test/CMakeLists.txt ===

# Basic test 
if ( ENABLE_PYTHON )
   ecbuild_add_test( TARGET basic_python
              TYPE PYTHON
              ARGS coast.py
              RESOURCES coast.py 
              ENVIRONMENT PYTHONPATH=${MAG_PYTHON_PATH} )
endif()

if ( ENABLE_FORTRAN) 
    ecbuild_add_test( TARGET basic_fortran_shared
            SOURCES   coast.f90
            LIBS      MagPlusSingle MagPlusShared
            LINKER_LANGUAGE Fortran )
    if ( ENABLE_STATIC_LIBRARY )
        ecbuild_add_test( TARGET basic_fortran_static
            SOURCES   coast.f90
            LIBS      MagPlusSingle MagPlusStatic ${MAGICS_EXTRA_LIBRARIES} 
            LINKER_LANGUAGE Fortran )       
     endif()
endif()
    
if ( ENABLE_BUFR )
    if ( ENABLE_PYTHON )
       ecbuild_add_test( TARGET bufr_python
                  TYPE PYTHON
                  ARGS bufr.py
                  RESOURCES bufr.py data.bufr 
                  ENVIRONMENT PYTHONPATH=${MAG_PYTHON_PATH} )
    endif()
    if ( ENABLE_FORTRAN) 
        ecbuild_add_test( TARGET bufr_fortran
                SOURCES   bufr.f90
                LIBS      MagPlusSingle MagPlusShared
                RESOURCES data.bufr
                LINKER_LANGUAGE Fortran )
        if ( ENABLE_STATIC_LIBRARY )
             ecbuild_add_test( TARGET bufr_fortran_static
                    SOURCES   bufr.f90
                    RESOURCES data.bufr
                    LIBS      MagPlusSingle MagPlusStatic
                    LINKER_LANGUAGE Fortran )       
         endif()
    endif()
endif()




if ( ENABLE_GRIB )
    if ( ENABLE_PYTHON )
       ecbuild_add_test( TARGET grib_python
                  TYPE PYTHON
                  ARGS grib.py
                  RESOURCES grib.py data.grib
                  ENVIRONMENT PYTHONPATH=${MAG_PYTHON_PATH} )
    endif()
    if ( ENABLE_FORTRAN) 
        ecbuild_add_test( TARGET grib_fortran
                SOURCES   grib.f90
                LIBS      MagPlusSingle MagPlusShared
                RESOURCES data.grib
                LINKER_LANGUAGE Fortran )
    endif()
endif()



if ( ENABLE_CAIRO ) 
    if ( ENABLE_PYTHON )
        ecbuild_add_test( TARGET cairo_python
                  TYPE PYTHON
                  ARGS cairo.py
                  RESOURCES cairo.py 
                  ENVIRONMENT PYTHONPATH=${MAG_PYTHON_PATH} )
    endif()
      if ( ENABLE_FORTTAN )
        ecbuild_add_test( TARGET cairo_fortran
                SOURCES   cairo.f90
                LIBS      MagPlusSingle MagPlusShared
                LINKER_LANGUAGE Fortran )
    endif()
endif()

if ( ENABLE_ODB )
    if ( ENABLE_PYTHON )
        ecbuild_add_test( TARGET odb_python
                  TYPE PYTHON
                  ARGS odb.py
                  RESOURCES odb.py test.odb
                  ENVIRONMENT PYTHONPATH=${MAG_PYTHON_PATH} )
    endif()
endif()

=== CMakeFiles/FortranCInterface/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/local/apps/cmake/2.8.10/bin/cmake

# The command to remove a file.
RM = /usr/local/apps/cmake/2.8.10/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /usr/local/apps/cmake/2.8.10/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /usr/local/apps/cmake/2.8.10/share/cmake-2.8/Modules/FortranCInterface

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/graphics/cgs/git/magics/CMakeFiles/FortranCInterface

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@echo "Running CMake cache editor..."
	/usr/local/apps/cmake/2.8.10/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@echo "Running CMake to regenerate build system..."
	/usr/local/apps/cmake/2.8.10/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/graphics/cgs/git/magics/CMakeFiles/FortranCInterface/CMakeFiles /home/graphics/cgs/git/magics/CMakeFiles/FortranCInterface/CMakeFiles/progress.marks
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/graphics/cgs/git/magics/CMakeFiles/FortranCInterface/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named FortranCInterface

# Build rule for target.
FortranCInterface: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 FortranCInterface
.PHONY : FortranCInterface

# fast build rule for target.
FortranCInterface/fast:
	$(MAKE) -f CMakeFiles/FortranCInterface.dir/build.make CMakeFiles/FortranCInterface.dir/build
.PHONY : FortranCInterface/fast

#=============================================================================
# Target rules for targets named myfort

# Build rule for target.
myfort: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 myfort
.PHONY : myfort

# fast build rule for target.
myfort/fast:
	$(MAKE) -f CMakeFiles/myfort.dir/build.make CMakeFiles/myfort.dir/build
.PHONY : myfort/fast

#=============================================================================
# Target rules for targets named symbols

# Build rule for target.
symbols: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 symbols
.PHONY : symbols

# fast build rule for target.
symbols/fast:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/build
.PHONY : symbols/fast

call_mod.o: call_mod.f90.o
.PHONY : call_mod.o

# target to build an object file
call_mod.f90.o:
	$(MAKE) -f CMakeFiles/FortranCInterface.dir/build.make CMakeFiles/FortranCInterface.dir/call_mod.f90.o
.PHONY : call_mod.f90.o

call_sub.o: call_sub.f.o
.PHONY : call_sub.o

# target to build an object file
call_sub.f.o:
	$(MAKE) -f CMakeFiles/FortranCInterface.dir/build.make CMakeFiles/FortranCInterface.dir/call_sub.f.o
.PHONY : call_sub.f.o

main.o: main.F.o
.PHONY : main.o

# target to build an object file
main.F.o:
	$(MAKE) -f CMakeFiles/FortranCInterface.dir/build.make CMakeFiles/FortranCInterface.dir/main.F.o
.PHONY : main.F.o

my_module.o: my_module.f90.o
.PHONY : my_module.o

# target to build an object file
my_module.f90.o:
	$(MAKE) -f CMakeFiles/myfort.dir/build.make CMakeFiles/myfort.dir/my_module.f90.o
.PHONY : my_module.f90.o

my_module_.o: my_module_.c.o
.PHONY : my_module_.o

# target to build an object file
my_module_.c.o:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/my_module_.c.o
.PHONY : my_module_.c.o

my_module_.i: my_module_.c.i
.PHONY : my_module_.i

# target to preprocess a source file
my_module_.c.i:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/my_module_.c.i
.PHONY : my_module_.c.i

my_module_.s: my_module_.c.s
.PHONY : my_module_.s

# target to generate assembly for a file
my_module_.c.s:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/my_module_.c.s
.PHONY : my_module_.c.s

my_sub.o: my_sub.f.o
.PHONY : my_sub.o

# target to build an object file
my_sub.f.o:
	$(MAKE) -f CMakeFiles/myfort.dir/build.make CMakeFiles/myfort.dir/my_sub.f.o
.PHONY : my_sub.f.o

mymodule.o: mymodule.f90.o
.PHONY : mymodule.o

# target to build an object file
mymodule.f90.o:
	$(MAKE) -f CMakeFiles/myfort.dir/build.make CMakeFiles/myfort.dir/mymodule.f90.o
.PHONY : mymodule.f90.o

mymodule_.o: mymodule_.c.o
.PHONY : mymodule_.o

# target to build an object file
mymodule_.c.o:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/mymodule_.c.o
.PHONY : mymodule_.c.o

mymodule_.i: mymodule_.c.i
.PHONY : mymodule_.i

# target to preprocess a source file
mymodule_.c.i:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/mymodule_.c.i
.PHONY : mymodule_.c.i

mymodule_.s: mymodule_.c.s
.PHONY : mymodule_.s

# target to generate assembly for a file
mymodule_.c.s:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/mymodule_.c.s
.PHONY : mymodule_.c.s

mysub.o: mysub.f.o
.PHONY : mysub.o

# target to build an object file
mysub.f.o:
	$(MAKE) -f CMakeFiles/myfort.dir/build.make CMakeFiles/myfort.dir/mysub.f.o
.PHONY : mysub.f.o

symbols/MYMODULE_mp_MYSUB-UPPER.o: symbols/MYMODULE_mp_MYSUB-UPPER.c.o
.PHONY : symbols/MYMODULE_mp_MYSUB-UPPER.o

# target to build an object file
symbols/MYMODULE_mp_MYSUB-UPPER.c.o:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/symbols/MYMODULE_mp_MYSUB-UPPER.c.o
.PHONY : symbols/MYMODULE_mp_MYSUB-UPPER.c.o

symbols/MYMODULE_mp_MYSUB-UPPER.i: symbols/MYMODULE_mp_MYSUB-UPPER.c.i
.PHONY : symbols/MYMODULE_mp_MYSUB-UPPER.i

# target to preprocess a source file
symbols/MYMODULE_mp_MYSUB-UPPER.c.i:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/symbols/MYMODULE_mp_MYSUB-UPPER.c.i
.PHONY : symbols/MYMODULE_mp_MYSUB-UPPER.c.i

symbols/MYMODULE_mp_MYSUB-UPPER.s: symbols/MYMODULE_mp_MYSUB-UPPER.c.s
.PHONY : symbols/MYMODULE_mp_MYSUB-UPPER.s

# target to generate assembly for a file
symbols/MYMODULE_mp_MYSUB-UPPER.c.s:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/symbols/MYMODULE_mp_MYSUB-UPPER.c.s
.PHONY : symbols/MYMODULE_mp_MYSUB-UPPER.c.s

symbols/MYSUB-UPPER.o: symbols/MYSUB-UPPER.c.o
.PHONY : symbols/MYSUB-UPPER.o

# target to build an object file
symbols/MYSUB-UPPER.c.o:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/symbols/MYSUB-UPPER.c.o
.PHONY : symbols/MYSUB-UPPER.c.o

symbols/MYSUB-UPPER.i: symbols/MYSUB-UPPER.c.i
.PHONY : symbols/MYSUB-UPPER.i

# target to preprocess a source file
symbols/MYSUB-UPPER.c.i:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/symbols/MYSUB-UPPER.c.i
.PHONY : symbols/MYSUB-UPPER.c.i

symbols/MYSUB-UPPER.s: symbols/MYSUB-UPPER.c.s
.PHONY : symbols/MYSUB-UPPER.s

# target to generate assembly for a file
symbols/MYSUB-UPPER.c.s:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/symbols/MYSUB-UPPER.c.s
.PHONY : symbols/MYSUB-UPPER.c.s

symbols/MY_MODULE_mp_MY_SUB-UPPER.o: symbols/MY_MODULE_mp_MY_SUB-UPPER.c.o
.PHONY : symbols/MY_MODULE_mp_MY_SUB-UPPER.o

# target to build an object file
symbols/MY_MODULE_mp_MY_SUB-UPPER.c.o:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/symbols/MY_MODULE_mp_MY_SUB-UPPER.c.o
.PHONY : symbols/MY_MODULE_mp_MY_SUB-UPPER.c.o

symbols/MY_MODULE_mp_MY_SUB-UPPER.i: symbols/MY_MODULE_mp_MY_SUB-UPPER.c.i
.PHONY : symbols/MY_MODULE_mp_MY_SUB-UPPER.i

# target to preprocess a source file
symbols/MY_MODULE_mp_MY_SUB-UPPER.c.i:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/symbols/MY_MODULE_mp_MY_SUB-UPPER.c.i
.PHONY : symbols/MY_MODULE_mp_MY_SUB-UPPER.c.i

symbols/MY_MODULE_mp_MY_SUB-UPPER.s: symbols/MY_MODULE_mp_MY_SUB-UPPER.c.s
.PHONY : symbols/MY_MODULE_mp_MY_SUB-UPPER.s

# target to generate assembly for a file
symbols/MY_MODULE_mp_MY_SUB-UPPER.c.s:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/symbols/MY_MODULE_mp_MY_SUB-UPPER.c.s
.PHONY : symbols/MY_MODULE_mp_MY_SUB-UPPER.c.s

symbols/MY_SUB-UPPER.o: symbols/MY_SUB-UPPER.c.o
.PHONY : symbols/MY_SUB-UPPER.o

# target to build an object file
symbols/MY_SUB-UPPER.c.o:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/symbols/MY_SUB-UPPER.c.o
.PHONY : symbols/MY_SUB-UPPER.c.o

symbols/MY_SUB-UPPER.i: symbols/MY_SUB-UPPER.c.i
.PHONY : symbols/MY_SUB-UPPER.i

# target to preprocess a source file
symbols/MY_SUB-UPPER.c.i:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/symbols/MY_SUB-UPPER.c.i
.PHONY : symbols/MY_SUB-UPPER.c.i

symbols/MY_SUB-UPPER.s: symbols/MY_SUB-UPPER.c.s
.PHONY : symbols/MY_SUB-UPPER.s

# target to generate assembly for a file
symbols/MY_SUB-UPPER.c.s:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/symbols/MY_SUB-UPPER.c.s
.PHONY : symbols/MY_SUB-UPPER.c.s

symbols/__my_module_MOD_my_sub.o: symbols/__my_module_MOD_my_sub.c.o
.PHONY : symbols/__my_module_MOD_my_sub.o

# target to build an object file
symbols/__my_module_MOD_my_sub.c.o:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/symbols/__my_module_MOD_my_sub.c.o
.PHONY : symbols/__my_module_MOD_my_sub.c.o

symbols/__my_module_MOD_my_sub.i: symbols/__my_module_MOD_my_sub.c.i
.PHONY : symbols/__my_module_MOD_my_sub.i

# target to preprocess a source file
symbols/__my_module_MOD_my_sub.c.i:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/symbols/__my_module_MOD_my_sub.c.i
.PHONY : symbols/__my_module_MOD_my_sub.c.i

symbols/__my_module_MOD_my_sub.s: symbols/__my_module_MOD_my_sub.c.s
.PHONY : symbols/__my_module_MOD_my_sub.s

# target to generate assembly for a file
symbols/__my_module_MOD_my_sub.c.s:
	$(MAKE) -f CMakeFiles/symbols.dir/build.make CMakeFiles/symbols.dir/symbols/__my_module_MOD_my_sub.c.s
.PHONY : symbols/__my_module_MOD_my_sub.c.s

symbols/__my_module_NMOD_my_sub.o: symbols/__my_module_NMOD_my_sub.c.o
.PHONY : symbols/__my_module_NMOD_my_sub.o

# target to build an object file
symbols/__my_module_NMOD_my_sub.c.o:

=== apps/metgram/CMakeLists.txt ===



configure_file( metgram-script.in  metgram.sh @ONLY )

install ( DIRECTORY templates DESTINATION ${INSTALL_DATA_DIR}/.. FILE_PERMISSIONS OWNER_READ GROUP_READ WORLD_READ)


install ( FILES ${CMAKE_CURRENT_SOURCE_DIR}/metgram  ${CMAKE_CURRENT_BINARY_DIR}/metgram.sh 
			DESTINATION ${INSTALL_BIN_DIR} 
			PERMISSIONS OWNER_READ GROUP_READ WORLD_READ 
				        OWNER_EXECUTE GROUP_EXECUTE WORLD_EXECUTE)


ecbuild_add_executable( TARGET    metgramx
                     SOURCES
                        metgramx.cc
                     DEFINITIONS
                        ${MAGICS_EXTRA_DEFINITIONS}
                    LIBS
                        MagPlusShared ${MAGICS_EXTRA_LIBRARIES}
                    )

=== python/Magics/CMakeLists.txt ===
if( ENABLE_PYTHON AND NUMPY_FOUND )

  ### python destination

  set(PYTHON_SITE "lib/python${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}/site-packages" )
  set(PYTHON_DEST "${PYTHON_SITE}/Magics" )

  ### place in build tree so we can run python tests

  configure_file( macro.py    macro.py    COPYONLY )
  configure_file( metgram.py  metgram.py  COPYONLY )

  ### build python bindings

  configure_file( Magics.i.in  Magics.i )

  include_directories( ${PYTHON_INCLUDE_DIRS} ${NUMPY_INCLUDE_DIRS} ${CMAKE_CURRENT_SOURCE_DIR} )

  set_source_files_properties( Magics.i PROPERTIES GENERATED TRUE CXX ON )

  swig_add_module( Magics python Magics_interface.cc Magics.i )

  set_source_files_properties(partio.i PROPERTIES SWIG_FLAGS "-includeall")

  swig_link_libraries( Magics MagPlusShared ${PYTHON_LIBRARIES} )

  execute_process( COMMAND ${CMAKE_COMMAND} -E create_symlink ${CMAKE_CURRENT_BINARY_DIR}/Magics.py ${CMAKE_CURRENT_BINARY_DIR}/__init__.py )
  
  ### install to final destination

  install( TARGETS _Magics DESTINATION ${PYTHON_DEST} )
  install( FILES
               macro.py
               metgram.py
           DESTINATION ${PYTHON_DEST} )

  install( FILES  ${CMAKE_CURRENT_BINARY_DIR}/Magics.py
           RENAME __init__.py
           DESTINATION ${PYTHON_DEST} )

endif()

=== src/basic/CMakeLists.txt ===
set( _basic_srcs
BasicGraphicsObject.cc
BasicGraphicsObject.h
BasicSceneObject.cc
BasicSceneObject.h
BasicSceneVisitor.cc
BasicSceneVisitor.h
FortranMagics.cc
FortranMagics.h
HistoVisitor.cc
HistoVisitor.h
ImportObjectHandler.cc
ImportObjectHandler.h
Layer.cc
Layer.h
LayoutManager.cc
LayoutManager.h
LegendVisitor.cc
LegendVisitor.h
MagicsEvent.h
MagicsObserver.h
MagnifierVisitor.cc
MagnifierVisitor.h
MultiVisdef.cc
MultiVisdef.h
ParameterSettings.cc
ParameterSettings.h
PreviewVisitor.cc
PreviewVisitor.h
RootSceneNode.cc
RootSceneNode.h
SceneNode.cc
SceneNode.h
SceneVisitor.cc
SceneVisitor.h
TagHandler.cc
TagHandler.h
TextVisitor.cc
TextVisitor.h
ViewNode.cc
ViewNode.h
Visdef.h
VisualAction.cc
VisualAction.h
WebFormat.cc
WebFormat.h
XmlMagics.cc
XmlMagics.h
)
if ( ENABLE_METVIEW )
	list (APPEND metview_include 
			basic/MagicsObserver.h 
			basic/MagicsEvent.h
			basic/RootSceneNode.h
			basic/BasicSceneObject.h
			basic/BasicGraphicsObject.h
			basic/DisplayManager.h
			basic/Layer.h
			basic/SceneVisitor.h 
			basic/XmlMagics.h 
			basic/LegendVisitor.h 
			basic/Visdef.h 
			)
	set( metview_include ${metview_include} PARENT_SCOPE )
endif()

foreach( file ${_basic_srcs} )
  list( APPEND basic_srcs basic/${file} )
endforeach()

set( basic_srcs ${basic_srcs} PARENT_SCOPE )

=== src/common/CMakeLists.txt ===
list( APPEND _common_srcs

	OutputFactory.h MagLog.h
	BaseParameter.h Colour.h MagException.h
	Factory.cc Factory.h
	ParameterManager.h Frame.h Layout.h
	PaperPoint.h GeoPoint.h  Tokenizer.h Node.h MagTranslator.h
	ImageProperties.h LogoPlotting.h
	ImportObject.h ColourTable.h PageID.h
	Transformation.h Dimension.h
	XmlNode.h XmlTree.h XmlReader.h BackgroundColour.h
	ColourTableDefinition.h ColourTableDefinitionCompute.h ColourTableDefinitionComputeInterface.h
	ColourTableDefinitionList.h ColourTableDefinitionListInterface.h 
	TableDefinition.h TableDefinitionList.h TableDefinitionListInterface.h
	TableDefinitionCompute.h TableDefinitionComputeInterface.h
	HeightTableDefinition.h LevelTableDefinition.h IntervalMap.h PaperDimension.h
	Matrix.h MatrixHandler.h Data.h Decoder.h
	BasePointsHandler.h RasterData.h  Visualiser.h CustomisedPoint.h PointsHandler.h
	MetaData.h
	Polyline.h
	Text.h
	Symbol.h
	BinaryObject.h
	Arrow.h
	Flag.h
	Image.h 
	ArrowProperties.h
	MagicsParameter.cc MagicsParameter.h Clipper.h LogoPlottingBase.h
	TableDefinitionCompute.cc 
	TableDefinitionList.cc
	Coordinate.h OutputHandler.h
	MagFont.h 
	AnimationRules.h SymbolItem.h
	UserPoint.h Label.h
	Timer.h
	CustomisedPoint.h Static.h DriverStatic.h ProgressObject.h PolyCoast.h
	ProgressTask.h FullPaperPoint.h
	BasePointsHandler.h PointsHandler.h Decoder.h Data.h
	Visualiser.h MatrixHandler.h
	Seconds.h
	Matrix.h Matrix.cc
	Path.h
	MagicsSingleton.h
	PlotManager.h
	Image.h 
	XmlReader.h XmlTree.h XmlNode.h
	MagicsFormat.h
	CartesianTransformation.h
	Dimension.cc
	XCoordinate.h YCoordinate.h marsmachine.h linux.h aix.h
	Thread.h MutexCond.h Mutex.h AutoLock.h ThreadControler.h Task.h MagExceptions.h ThreadSingleton.h 
	DataStats.h SciMethods.h Tephigram.cc  Tephigram.h

# sources
	Data.cc Matrix.cc MagicsCalls.cc Static.cc DriverStatic.cc MagLog.cc Colour.cc Transformation.cc MagException.cc
	BaseParameter.cc ParameterManager.cc  
	Tokenizer.cc Timer.cc Seconds.cc Label.cc
	ArrowProperties.cc
	XmlReader.cc XmlTree.cc XmlNode.cc Dimension.cc
	MetaData.cc
	MagicsFormat.cc
	OutputHandler.cc  OutputFactory.cc
	MagFont.cc
	ColourTable.cc ColourTableDefinitionList.cc
	ColourTableDefinitionCompute.cc CartesianTransformation.cc
	BinaryObject.cc
	Coordinate.cc
	LogoPlotting.cc
	PageID.cc AnimationRules.cc Layout.cc SymbolItem.cc Symbol.cc Polyline.cc
	Text.cc Flag.cc  
	Mutex.cc MutexCond.cc Thread.cc MagExceptions.cc AutoLocker.cc
	ThreadControler.cc Task.cc
	DataStats.cc SciMethods.cc BasePointsHandler.cc PointsHandler.cc ProgressObject.cc

# projection
    GeoRectangularProjection.cc  PolarStereographicProjection.cc TaylorProjection.cc
    GeoRectangularProjection.h   PolarStereographicProjection.h SatelliteProjection.h TaylorProjection.h
    Proj4Projection.cc  Proj4Projection.h

# unused


 )


list( APPEND _common_templates 
    Factory.cc 
    MagicsParameter.cc
    TableDefinitionList.cc
    TableDefinitionCompute.cc
 )

foreach( file ${_common_srcs} )
  list( APPEND common_srcs common/${file} )
endforeach()
foreach( file ${_common_templates} )
  list( APPEND common_templates common/${file} )
endforeach()

set( common_srcs ${common_srcs} PARENT_SCOPE )
set( common_templates ${common_templates} PARENT_SCOPE )

if ( ENABLE_METVIEW )
	list (APPEND metview_include 
				common/MagLog.h 
				common/MagTranslator.h 
				common/Factory.h 
				common/Factory.cc 
				common/Colour.h 
				common/Tokenizer.h 
				common/MagException.h 
				common/ParameterManager.h
				common/PaperPoint.h 
				common/Matrix.h
				common/BaseParameter.h
				common/OutputHandler.h
				common/OutputFactory.h
				common/Layout.h
				common/XmlNode.h 
				common/Transformation.h
				common/UserPoint.h
				common/CustomisedPoint.h
				common/XmlTree.h
				common/XmlReader.h
				common/RasterData.h
				common/Decoder.h
				common/Data.h
				common/MatrixHandler.h
				common/BasePointsHandler.h
				common/Timer.h
                common/DataStats.h
                common/IntervalMap.h
                common/GeoRectangularProjection.h
                common/Text.h
                common/Label.h
                common/MagFont.h
                common/Image.h
                common/ImageProperties.h
                common/ColourTable.h
                common/ColourTableDefinition.h
                common/PointsHandler.h
				)
	set( metview_include ${metview_include} PARENT_SCOPE )
endif()

=== src/decoders/CMakeLists.txt ===
set( _decoders_srcs
BinningObject.cc
BinningObject.h
BoxPlotDecoder.cc
BoxPlotDecoder.h
Date.cc
DateTime.cc
DateTime.h
EfiLegendEntry.h
EpsXmlInput.cc
EpsXmlInput.h
GeoPointsDecoder.cc
GeoPointsDecoder.h
ImportAction.h
InputData.cc
InputData.h
InputMatrix.cc
InputMatrix.h
InputMatrixInterpretor.cc
InputMatrixInterpretor.h
LandgramDecoder.cc
LandgramDecoder.h
LocalTable.cc
LocalTable.h
MapGenDecoder.cc
MapGenDecoder.h
MatrixTestDecoder.cc
MatrixTestDecoder.h
ObsStatDecoder.cc
ObsStatDecoder.h
ShapeDecoder.cc
ShapeDecoder.h
SimplePolylineInput.cc
SimplePolylineInput.h
SymbolInput.h
TableDecoder.cc
TableDecoder.h
ThinningMethod.cc
ThinningMethod.h
Time.cc
TitleField.cc
TitleField.h
TitleMetaField.cc
TitleMetaField.h
TitleStringField.cc
TitleStringField.h
TitleTemplate.cc
TitleTemplate.h
WindMode.cc
WindMode.h
XYList.cc
XYList.h
shapefil.h
shpopen.c
dbfopen.c
)

foreach( file ${_decoders_srcs} )
  list( APPEND decoders_srcs decoders/${file} )
endforeach()

if (MAGICS_GRIB) 
     list( APPEND decoders_srcs 
decoders/GribAddressMode.h
decoders/GribDecoder.cc
decoders/GribDecoder.h
decoders/GribInterpretor.h
decoders/GribLoopStep.cc
decoders/GribLoopStep.h
decoders/GribRegularInterpretor.cc
decoders/GribRegularInterpretor.h
decoders/GribSatelliteInterpretor.cc
decoders/GribSatelliteInterpretor.h
)
endif()


if (MAGICS_NETCDF) 
     list( APPEND decoders_srcs 
#Netcdf--->
decoders/NetcdfOrcaInterpretor.cc
decoders/Netcdf.cc
decoders/Netcdf.h
decoders/NetcdfConvention.cc
decoders/NetcdfConvention.h
decoders/NetcdfDecoder.cc
decoders/NetcdfDecoder.h
decoders/NetcdfGeoMatrixInterpretor.cc
decoders/NetcdfGeoMatrixInterpretor.h
decoders/NetcdfGeopointsInterpretor.cc
decoders/NetcdfGeopointsInterpretor.h
decoders/NetcdfInterpretor.cc
decoders/NetcdfInterpretor.h
decoders/NetcdfMarsConvention.cc
decoders/NetcdfMarsConvention.h
decoders/NetcdfMatrixInterpretor.cc
decoders/NetcdfMatrixInterpretor.h
decoders/NetcdfOrcaInterpretor.h
decoders/NetcdfVectorInterpretor.cc
decoders/NetcdfVectorInterpretor.h
#<----Netcdf
)
endif()

if (MAGICS_BUFR)
     list( APPEND decoders_srcs 
# Bufr --->
decoders/EpsBufr.cc
decoders/EpsBufr.h
decoders/ObsDecoder.cc
decoders/ObsDecoder.h
# <--- Bufr
)

endif()


if (MAGICS_SPOT)
     list( APPEND decoders_srcs 
#Spot ---> 
decoders/ClassicMtgDecoder.cc
decoders/ClassicMtgDecoder.h
decoders/EpsgramDecoder.cc
decoders/EpsgramDecoder.h
#<--- Spot  
)
endif()

set( decoders_srcs ${decoders_srcs} PARENT_SCOPE )

if ( ENABLE_METVIEW )
	list (APPEND metview_include 
			decoders/DateTime.h 
			decoders/GribDecoder.h 
			decoders/ThinningMethod.h 
			decoders/BinningObject.h  
			decoders/WindMode.h  
			decoders/GribAddressMode.h  
			decoders/GribLoopStep.h  
			decoders/GribInterpretor.h
			decoders/GribSatelliteInterpretor.h
			
			)
	set( metview_include ${metview_include} PARENT_SCOPE )
endif()

=== src/params/CMakeLists.txt ===
list( APPEND _common_xmls
Akima474Method.xml
Akima760Method.xml
ArrowPlotting.xml
AutomaticContourMethod.xml
Axis.xml
AxisMethod.xml
Bar.xml
BaseDriver.xml
BinaryDriver.xml
BinaryObject.xml
BinningObject.xml
BothValuePlotMethod.xml
Boundaries.xml
CalculateColourTechnique.xml
CalculateHeightTechnique.xml
CalmIndicator.xml
CartesianTransformation.xml
CellShading.xml
CircleOriginMarker.xml
Cities.xml
ClassicMtgDecoder.xml
CoastPlotting.xml
Coastlines.xml
ColourTechnique.xml
ContinuousLegendMethod.xml
Contour.xml
ContourMethod.xml
CountSelectionType.xml
Curve.xml
CurveArea.xml
DateAxisMethod.xml
DateGribLoopStep.xml
DotGraphShadeStyle.xml
DotOriginMarker.xml
DotPolyShadingMethod.xml
DumpShading.xml
FlagPlotting.xml
FortranRootSceneNode.xml
FortranSceneNode.xml
FortranViewNode.xml
GeoPointsDecoder.xml
GeoRectangularProjection.xml
Graph.xml
GraphArrow.xml
GraphFlag.xml
GraphPlotting.xml
GraphShade.xml
GraphShadeStyle.xml
GridPlotting.xml
GridShading.xml
HatchGraphShadeStyle.xml
HatchPolyShadingMethod.xml
HeightTechnique.xml
HiLo.xml
HiLoBase.xml
HiLoBoth.xml
HiLoMarker.xml
HiLoMarkerBase.xml
HiLoNumber.xml
HiLoTechnique.xml
HiLoText.xml
HighHiLo.xml
Histogram.xml
HistogramLegendMethod.xml
HyperAxisMethod.xml

ImportAction.xml

ImportPlot.xml
InputData.xml
LogoPlotting.xml
NoLogoPlotting.xml
IntervalSelectionType.xml
IsoHighlight.xml
IsoLabel.xml
IsoPlot.xml
IsoShading.xml
KMLDriver.xml
LabelPlotting.xml

ObsPlotting.xml

LegendMethod.xml
LegendVisitor.xml

LevelListSelectionType.xml
LevelSelection.xml
ListColourTechnique.xml
ListHeightTechnique.xml
LogarithmicAxisMethod.xml

LookupTableMode.xml
LowHiLo.xml
MagnifierVisitor.xml
MapGenDecoder.xml
MarkerShadingTechnique.xml
MarkerValuePlotMethod.xml
MercatorProjection.xml
MetaData.xml

MvRootSceneNode.xml
NoBinningObject.xml
NoBoundaries.xml
NoCalmIndicator.xml
NoCities.xml
NoCoastPlotting.xml
NoGraphShade.xml
NoGridPlotting.xml
NoHiLo.xml
NoHiLoMarker.xml
NoIsoHighlight.xml
NoIsoLabel.xml
NoIsoPlot.xml
NoIsoShading.xml
NoLabelPlotting.xml
#NoLegendVisitor.xml
NoLogoPlotting.xml
NoMagnifierVisitor.xml
NoOriginMarker.xml
NoOutLayerTechnique.xml
NoPageID.xml
NoPreviewVisitor.xml
NoValuePlot.xml

OriginMarker.xml
OutputHandler.xml
PageID.xml
ParamGribLoopStep.xml
PolarStereographicProjection.xml
PolyShadingMethod.xml
PolyShadingTechnique.xml
PositionListAxisMethod.xml
PostScriptDriver.xml
PreviewVisitor.xml

Proj4Bonne.xml
Proj4Collignon.xml
Proj4EPSG32661.xml
Proj4EPSG4326.xml
Proj4EPSG3857.xml
Proj4Geos.xml
Proj4Goode.xml
Proj4Lambert.xml
Proj4Mollweide.xml
Proj4PolarNorth.xml
Proj4Projection.xml
Proj4Robinson.xml
Proj4Google.xml
Proj4Efas.xml
Proj4LambertNorthAtlantic.xml
Proj4Meteosat0.xml
Proj4Meteosat145.xml
Proj4Meteosat57.xml
Proj4Geosw.xml
Proj4Geose.xml

SDWindMode.xml
SVGDriver.xml
SampleContourMethod.xml

SelectionMode.xml
ShadingTechnique.xml
ShapeDecoder.xml
SimpleOutLayerTechnique.xml

SymbolAdvancedTableMode.xml
SymbolIndividualMode.xml
SymbolInput.xml
SymbolMode.xml
SymbolPlotting.xml
SymbolTableMode.xml
Streamlines.xml
TableDecoder.xml
TaylorGrid.xml
TaylorProjection.xml
TextVisitor.xml
Tephigram.xml
TephiGrid.xml
TephiInfo.xml
TitleTemplate.xml
Transformation.xml
UVWindMode.xml
UserLogoPlotting.xml
VDWindMode.xml
ValuePlot.xml
ValuePlotBase.xml
ValuePlotMethod.xml
Wind.xml
WindMode.xml
WindPlotting.xml
ObsDecoder.xml
XCoordinate.xml
XDateCoordinate.xml
XHyperCoordinate.xml
XLogarithmicCoordinate.xml
XRegularCoordinate.xml
XYList.xml

YCoordinate.xml
YDateCoordinate.xml
YHyperCoordinate.xml
YLogarithmicCoordinate.xml
YRegularCoordinate.xml


)


	list( APPEND _magics_xmls BoxPlotBox.xml
		BoxPlotBoxBorder.xml
		BoxPlotDecoder.xml
		BoxPlotMedian.xml
		BoxPlotVisualiser.xml
		BoxPlotWhiskerBorder.xml
		BoxPlotWhiskerBox.xml
		BoxPlotWhiskerLine.xml
		CdfGraph.xml
		EpsCloud.xml
		EpsDirection.xml
		EpsGraph.xml
		EpsPlume.xml
		EpsShade.xml
		EpsWave.xml
		EpsWind.xml
		EpsXmlInput.xml
		EpsgramDecoder.xml
		EquidistantTableMode.xml
		FixedTableMode.xml
		ImportObjectHandler.xml
		EfiDataDecoder.xml
		EfiGraph.xml
		EfiJSon.xml
		EfigramDecoder.xml
		EpsBufr.xml
		ImageCalculateColourTechnique.xml
ImageListColourTechnique.xml
ImagePlotting.xml
InputMatrix.xml
InputMatrixIrregularInterpretor.xml
InputMatrixRegularInterpretor.xml
LandgramBox.xml
LandgramDecoder.xml
MetgramCurve.xml
MetgramFlags.xml
MetgramGraph.xml


ObsTable.xml
ObsJSon.xml

ObsStatDecoder.xml

SimplePolyline.xml
SimplePolylineInput.xml
WrepJSon.xml
WrepRootNode.xml
XmlBasicNode.xml
XmlRootNode.xml
XmlSceneNode.xml
XmlViewNode.xml
		)
	

if( MAGICS_GRIB )
	list( APPEND _common_xmls GribAddressByteMode.xml
		GribAddressMode.xml
		GribAddressRecordMode.xml
		GribLoop.xml
		GribLoopStep.xml 
		GribDecoder.xml
		
		)		
endif()

if( MAGICS_NETCDF )
	list( APPEND _common_xmls 
		NetcdfDecoder.xml
		NetcdfGeoMatrixInterpretor.xml
		NetcdfGeoPolarMatrixInterpretor.xml
		NetcdfGeoVectorInterpretor.xml
		NetcdfGeopointsInterpretor.xml
		NetcdfInterpretor.xml
		NetcdfMatrixInterpretor.xml
		NetcdfOrcaInterpretor.xml
		NetcdfVectorInterpretor.xml
		NetcdfXYpointsInterpretor.xml )
endif()

if ( MAGICS_ODB ) 
	list ( APPEND _common_xmls 
		OdaGeoDecoder.xml
		OdaXYDecoder.xml )
endif()

if( MAGICS_CAIRO )
    list( APPEND _common_xmls CairoDriver.xml )
endif()

if( MAGICS_RASTER )
  list( APPEND _common_xmls GDDriver.xml )
endif()

if( MAGICS_QT )
  list( APPEND  _magics_xmls QtDriver.xml )
endif()

foreach( file ${_common_xmls} )
  list( APPEND metview_xmls params/${file} )
  list( APPEND magics_xmls params/${file} )
endforeach()

foreach( file ${_magics_xmls} )
  list( APPEND magics_xmls params/${file} )
endforeach()


set( magics_xmls ${magics_xmls} PARENT_SCOPE )
set( metview_xmls ${metview_xmls} PARENT_SCOPE )

=== src/visualisers/CMakeLists.txt ===
set( _visualisers_srcs
Akima760.cc
Akima760Method.h
Akima474.cc
Akima474Method.h
ArrowPlotting.cc
ArrowPlotting.h
AutomaticContourMethod.h
Axis.cc
Axis.h
AxisControl.cc
AxisControl.h
AxisItem.cc
AxisItem.h
AxisLine.h
AxisMethod.cc
AxisMethod.h
AxisType.cc
AxisType.h
Bar.cc
Bar.h
BothValuePlotMethod.h
Boundaries.cc
Boundaries.h
BoxPlotBasicItem.h
BoxPlotItem.cc
BoxPlotItem.h
BoxPlotVisualiser.cc
BoxPlotVisualiser.h
CalculateColourTechnique.cc
CalculateColourTechnique.h
CalcStreamlines.cc  
CalcStreamlines.h
CalmIndicator.h
CellShading.cc
CellShading.h
Cities.cc
Cities.h
CoastPlotting.cc
CoastPlotting.h
Coastlines.cc
Coastlines.h
ColourSelection.cc
ColourSelection.h
ColourTechnique.cc
ColourTechnique.h
Contour.cc
Contour.h
ContourLibrary.cc
ContourLibrary.h
ContourMethod.h
CountSelectionType.cc
CountSelectionType.h
Curve.cc
Curve.h
DateAxis.cc
DateAxis.h
DefinitionTable.h
DefinitionTable.hcc
DotPolyShadingMethod.h
EpsForecastPlot.h
EpsGraph.cc
EpsGraph.h
EquidistantTableMode.cc
EquidistantTableMode.h
Filter.cc
Filter.h
FlagPlotting.cc
FlagPlotting.h
FloatSelection.cc
FloatSelection.h
Graph.h
GraphPlotting.cc
GraphPlotting.h
GraphShade.cc
GraphShade.h
GraphShadeStyle.cc
GraphShadeStyle.h
GribTables.h
GridPlotting.cc
GridPlotting.h
HatchPolyShadingMethod.h
HeightSelection.cc
HeightSelection.h
HeightSelectionCount.h
HeightSelectionList.h
HeightTechnique.cc
HeightTechnique.h
HiLo.cc
HiLo.h
HiLoBase.h
HiLoBoth.h
HiLoMarker.h
HiLoMarkerBase.h
HiLoNumber.h
HiLoText.h
HiLoTechnique.h
HistoIndividualMode.h
HistoMode.h
HistoTableMode.h
Histogram.cc
Histogram.h
ImageCalculateColourTechnique.h
ImageListColourTechnique.h
ImagePlotting.cc
ImagePlotting.h
ImportPlot.h
IntervalSelectionType.cc
IntervalSelectionType.h
Intervals.h
IsoHelper.cc
IsoHelper.h
IsoHighlight.h
IsoLabel.cc
IsoLabel.h
IsoPlot.cc
IsoPlot.h
IsoShading.cc
IsoShading.h
LabelPlotting.cc
LabelPlotting.h
LabelPlottingBase.h
LegendMethod.cc
LegendMethod.h
LevelListSelectionType.cc
LevelListSelectionType.h
LevelSelection.cc
LevelSelection.h
LinearTableMode.cc
LinearTableMode.h
ListColourTechnique.cc
ListColourTechnique.h
LookupTableMode.cc
LookupTableMode.h
MarkerSelection.h
MarkerSelectionCount.h
MarkerSelectionList.h
MarkerShadingTechnique.cc
MarkerShadingTechnique.h
MarkerValuePlotMethod.h
MetgramGraph.cc
MetgramGraph.h
MetgramStyle.cc
MetgramStyle.h
NormalTableMode.cc
NormalTableMode.h
ObsItem.h
ObsItemFamily.cc
ObsItemFamily.h
ObsPlotting.cc
ObsPlotting.h
ObsTable.cc
ObsTable.h
OriginMarker.h
OutLayerTechnique.cc
OutLayerTechnique.h
PolyShadingMethod.cc
PolyShadingMethod.h
PolyShadingTechnique.cc
PolyShadingTechnique.h
ShadingTechnique.h
SegmentJoiner.h
SegmentJoiner.cc
SimplePolylineVisualiser.cc
SimplePolylineVisualiser.h
Streamlines.h
Streamlines.cc
SymbolAdvancedTableMode.cc
SymbolAdvancedTableMode.h
SymbolMode.cc
SymbolMode.h
SymbolPlotting.cc
SymbolPlotting.h
TaylorGrid.cc
TaylorGrid.h
TephiGrid.cc  
TephiGrid.h
TextOrientation.cc
TextOrientation.h
UserDate.cc
UserDate.h
ValuePlot.cc
ValuePlot.h
ValuePlotBase.h
ValuePlotMethod.h
VisDefInfo.cc
VisDefInfo.h
Wind.cc
Wind.h
WindPlotting.cc
WindPlotting.h
)

foreach( file ${_visualisers_srcs} )
  list( APPEND visualisers_srcs visualisers/${file} )
endforeach()

set( visualisers_srcs ${visualisers_srcs} PARENT_SCOPE )

if ( ENABLE_METVIEW )
    list (APPEND metview_include 
            visualisers/LegendMethod.h      
             visualisers/ImagePlotting.h
             visualisers/LookupTableMode.h
            )
    set( metview_include ${metview_include} PARENT_SCOPE )
endif()

=== src/web/CMakeLists.txt ===
set( _web_srcs
MagJSon.cc   ObsJSon.cc   WrepJSon.h      json_spirit_reader.h   json_spirit_value.h
MagConfig.cc    MagJSon.h    ObsJSon.h    json_spirit.h           json_spirit_utils.h    json_spirit_writer.cpp
MagConfig.h     WrepJSon.cc  json_spirit_reader.cpp  json_spirit_value.cpp  json_spirit_writer.h
 )

foreach( file ${_web_srcs} )
  list( APPEND web_srcs web/${file} )
endforeach()

set( web_srcs ${web_srcs} PARENT_SCOPE )

## magics++ 2.8.0.dfsg

=== debian/changelog ===
magics++ (2.8.0.dfsg-4build1) maverick; urgency=low

  * No changes upload for libnetcdf4 -> libnetcdf6 transition

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Mon, 13 Sep 2010 21:07:04 +0200

magics++ (2.8.0.dfsg-4) unstable; urgency=low

  * Build-Dep: libxml-parser-perl and python for tests.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Jan 2010 12:46:27 +0000

magics++ (2.8.0.dfsg-3) unstable; urgency=low

  * Add Build-Depends: libtool. 
  * Set MAGPLUS_HOME in debian/rules so that tests run, and add gfortran 
    dependency for fortran tests, Add Build-Dep on ttf-dejavu-core for testing.
  * Disable printer_test as it requires a data file thats missing. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 06 Jan 2010 21:30:31 +0000

magics++ (2.8.0.dfsg-2) unstable; urgency=low

  * Patch: enable static libs in configure.ac. Closes: #562120. 
  * Add dynamic_linking.patch to link libs to libMagPlus directly rather
    than just magmlx, and remove libs via --as-needed.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 23 Dec 2009 09:33:38 +0000

magics++ (2.8.0.dfsg-1) unstable; urgency=low

  * New upstream release. 
  * Add libjasper dependency for grib-api. Add Closes: #562040.
  * Added libcairo2-dev, libpango1.0-dev build dependencies now needed.
  * Removed dependency on quilt ; now source format 3.0, so dpkg handles
   this. 
  * EpsBufr.patch now in upstream; removed

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Dec 2009 11:26:27 +0000

magics++ (2.6.4~dfsg-1) unstable; urgency=low

  * Initial Debian release. Closes: #522984.
  * Removed pdfs, making dfsg-free version.
  * Removed terralib from sources; now use external terralib library, for
    licensing reasons. 
  * Change version number to ~ before upload, so non-dfsg can go away if 
    PDF sources issue solved.
  * Move to Standards-Version: 3.8.3
  * DH_COMPAT is now 7. 
  * Moved shared data to libmagics++-data.
  * Build against libgrib-api, libemos-dev now in unstable.
  * libmagics++ depends on ttf-dejavu-* fonts rather than includes them;
  * Build-depend on libhdf5-serial-dev rather than virtual libhdf5-dev
  * Removed ttf fonts. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 06 Nov 2009 19:54:22 +0000

=== debian/control ===
Source: magics++
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: cdbs, debhelper (>> 7), dh-buildinfo, libhdf5-serial-dev, libnetcdf-dev, libgl1-mesa-dev, libgd2-xpm-dev, libemos-dev, libgrib-api-dev, libterralib1-dev, libjasper-dev, libcairo2-dev, libpango1.0-dev, autoconf, automake, libtool, gfortran, ttf-dejavu-core, libxml-parser-perl, python
Standards-Version: 3.8.3
Homepage: http://www.ecmwf.int/products/data/software/msgics++.html

Package: libmagplus3
Section: libs
Architecture: any
Depends: libmagics++-data,${misc:Depends}, ${shlibs:Depends}, ttf-dejavu-core, ttf-dejavu-extra
Description: ECMWF meteorological plotting software library
 Magics++ is the latest generation of the ECMWF's Meteorological plotting
 software MAGICS. Although completely redesigned in C++, it is intended to be
 as backwards-compatible as possible with the Fortran interface.
 Besides its programming interfaces (Fortran and C), Magics++ offers MagML,
 a plot description language based on XML aimed at automatic web production.
 .
 The library supports the plotting of contours, wind fields, observations,
 satellite images, symbols, text, axis and graphs (including boxplots).
 .
 Data fields to be plotted may be presented in various formats,
 for instance GRIB 1 and 2 code data, Gaussian grid, regularly spaced grid
 and fitted data. Input data can also be in BUFR and NetCDF format
 or retrieved from an ODB database.
 .
 The produced meteorological plots can be saved in various formats,
 such as PostScript, EPS, PDF, GIF, PNG, SVG and KML.

Package: libmagics++-dev
Section: libdevel
Architecture: any
Depends: libmagplus3 ( = ${binary:Version} ), ${misc:Depends}
Description: Development files for ECMWF  plotting software MAGICS++
 Magics++ is the latest generation of the ECMWF's Meteorological plotting
 software MAGICS. Although completely redesigned in C++, it is intended to be
 as backwards-compatible as possible with the Fortran interface.
 Besides its programming interfaces (Fortran and C), Magics++ offers MagML,
 a plot description language based on XML aimed at automatic web production.
 .
 This package includes the header files and static libraries needed to build 
 against libmagics++.

Package: magics++
Architecture: any
Depends: libmagplus3 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
Description: Executables for the magics++ library
 Magics++ is the latest generation of the ECMWF's Meteorological plotting
 software MAGICS. Although completely redesigned in C++, it is intended to be
 as backwards-compatible as possible with the Fortran interface.
 Besides its programming interfaces (Fortran and C), Magics++ offers MagML,
 a plot description language based on XML aimed at automatic web production.
 .
 This package contains the MagcML binary that may be used with magics++.

Package: libmagics++-data
Architecture: all
Depends: ${misc:Depends}
Description: Data files needed for magics++ library
 Magics++ is the latest generation of the ECMWF's Meteorological plotting
 software MAGICS. Although completely redesigned in C++, it is intended to be
 as backwards-compatible as possible with the Fortran interface.
 Besides its programming interfaces (Fortran and C), Magics++ offers MagML,
 a plot description language based on XML aimed at automatic web production.
 .
 This package contains data expected by the magics++ library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

CFLAGS += -fPIC

# --enable-opengl can't be used as lesstif not supported - missing Motif functionality

DEB_MAKE_CHECK_TARGET := check
DEB_MAKE_CLEAN_TARGET := clean distclean maintainer-clean
DEB_CONFIGURE_EXTRA_FLAGS :=  --enable-bufr --enable-static --enable-cairo --with-emos-libraries=/usr/lib --with-terralib=/usr
DEB_AUTO_UPDATE_LIBTOOL := pre
DEB_SHLIBDEPS_LIBRARY_magics++ := libmagplus3
DEB_SHLIBDEPS_INCLUDE_magics++ := debian/libmagplus3/usr/lib/
DEB_MAKE_ENVVARS := MAGPLUS_HOME=`pwd`

configure/libmagics++-dev::
	# Delete the libtool crap and install debian libtool
	rm -f libtool
	ln -sf /usr/bin/libtool .
	# link for font for tesing.
	mkdir -p share/fonts/truetype/ttf-dejavu/
	ln -sf /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf share/fonts/truetype/ttf-dejavu/

makebuilddir/libmagics++-dev::
	[ -e src/terralib ] || ln -sf  /usr/include/terralib src/terralib
	autoreconf -if

binary-install/libmagics++-dev::
	ln -sf libMagPlus.so.3.0.0 debian/libmagics++-dev/usr/lib/libMagPlus.so

binary-install/libmagplus3::
	ln -sf libMagPlus.so.3.0.0 debian/libmagplus3/usr/lib/libMagPlus.so.3	

# Store build information
common-binary-post-install-arch common-binary-post-install-indep::
	dh_buildinfo
